using Fiesta.Networking.Packets;
using Fiesta.Game.Networking.PacketTypes;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Fiesta.Worlds.Networking;

namespace Login.Players.Networking.Packets.Misc.Out
{
	[PacketType(USER.WORLDSELECT_ACK)]
	public class WorldTransfer : OutPacket
	{
		public WorldTransfer(WorldConnection worldConnection, string guid) : base()
		{
			WriteByte((byte)worldConnection.World.Status);
			WriteString(worldConnection.World.WorldServerInfo.Host, 16);
			WriteInt16((Int16)worldConnection.World.WorldServerInfo.Ports.Players);

			WriteString(guid, 32);
			WriteFiller(32, 0);
		}
	}
}